Create Google Cloud Data Source

Create a new data source from Google Cloud resources.

Returns a jobId that can be used to get the status from Get "Create Google Cloud Data Source" Job Status.

This endpoint supports two valid request body formats:

📘

This endpoint starts a long-running job. For more information, see Job-based (asynchronous) endpoints.


Valid Authentication Methods

API Key Grants:

  • CloudEdit

OAuth 2.0 User Token and Account Token Scopes:

  • cloud.datasource

Create Google Cloud Data Source from File

Body Params

ParameterTypeDescription
googlecloudclijson.json file (required)The Google-Cloud-CLI-generated JSON file from which to create the new data source
displayNamestring (optional)When provided, the name to give the created data source. When not provided, the filename of the JSON file is used.

        curl 'https://api.lucid.app/dataSources/googleCloud'\
          --request 'POST'\
          --header 'Authorization: Bearer <OAuth 2.0 Access Token>'\
          --header 'Lucid-Api-Version: 1'\
          --header 'content-type: multipart/form-data'

Create Google Cloud Data Source from JSON Body

Body Params
string
required

The name to give the data source

string

The ID of the existing Google Cloud credential to use to create the data source

projectIds
array of strings
required

The IDs of the Google Cloud projects which contain the data from which to create the data source

projectIds*
resourceSelection
array of strings
required

The Google Cloud resources to include in the data source. Use the "Get Fully Supported Google Cloud Resources" endpoint to see a list of all supported resources.

resourceSelection*
Headers
string
required
Defaults to 1

The API version used in the request.

Responses

400

Bad Request. Occurs when no file is found or the file is invalid.

Language
Credentials
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json